Unauthorized for url:

28 views
Skip to first unread message

hoora fakhr

unread,
Apr 13, 2021, 4:58:59 PMApr 13
to Feedly Cloud
Hi all,

Since yesterday when I am trying to get data from feedly I am seeing this error. I appreciate if anyone can help me to resolve this issue. Thanks

Traceback (most recent call last):
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\feedly\api_client\session.py", line 189, in do_api_request
    resp.raise_for_status()
  File "C:\Users\hfakhrm\AppData\Roaming\Python\Python37\site-packages\requests\models.py", line 940, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 401 Client Error: Unauthorized for url: https://feedly.com/v3/streams/contents?streamId=user%2Fcategory%2F3b1-4029-adde-dbf7ff&count=20&ranked=newest&unreadOnly=False&newerThan=0&client=feedly.python.client
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File ".\controller.py", line 251, in <module>
    runNewsSimilarity(proxyDict)
  File ".\controller.py", line 138, in runNewsSimilarity
    newsScript(proxyDict)
  File "C:\AdminVideoWall\scripts\newsSimilarity.py", line 835, in newsAPI
    data = getFeedlyData(proxyDict, feed_key[i], NumDoc, latestTimeStamp)
  File "C:\AdminVideoWall\scripts\newsSimilarity.py", line 706, in getFeedlyData
    for eid in sess.user.get_category(fk).stream_contents(opts):
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\feedly\api_client\stream.py", line 160, in __iter__
    resp = self._client.do_api_request(curl)
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\feedly\api_client\session.py", line 208, in do_api_request
    raise UnauthorizedAPIError(e)
feedly.api_client.protocol.UnauthorizedAPIError

David Chatenay

unread,
Apr 13, 2021, 5:39:12 PMApr 13
to hoora fakhr, Feedly Cloud
  Hi,
  Could you print the error returned by the server? It usually contains a message that explains why the API call failed.
  Looking at the server logs, I see a few errors for this account related to an expired access token, then a couple due to a missing or invalid access token.

-- 
David Chatenay
Platform Engineer
Feedly


--
You received this message because you are subscribed to the Google Groups "Feedly Cloud" group.
To unsubscribe from this group and stop receiving emails from it, send an email to feedly-cloud...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/feedly-cloud/2a6021a2-9774-408d-9f7d-5ef5d8e8a8e4n%40googlegroups.com.

hoora fakhr

unread,
Apr 14, 2021, 10:01:36 AMApr 14
to Feedly Cloud
Hi David,

Thanks for your reply. I checked the token, it will expire in next 10 days. This error that I am getting is not for server. when we are running in our laptop, I am getting this. 
For example in one of our laptop since yesterday we are seeing this error:

WARNING:urllib3.connectionpool:Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ProxyError('Cannot connect to proxy.', OSError('Tunnel connection failed: 407 Proxy Authentication Required'))': /v3/streams/contents?streamId=user%2F49467d31-dc59-45d1-82b0-b74f711e1dbc%2Fcategory%2F362ae958-e2b1-4029-adde-dbf7707fd2ff&count=20&ranked=newest&unreadOnly=False&newerThan=0&client=feedly.python.client
Traceback (most recent call last):
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\urllib3\connectionpool.py", line 595, in urlopen
    self._prepare_proxy(conn)
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\urllib3\connectionpool.py", line 816, in _prepare_proxy
    conn.connect()
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\urllib3\connection.py", line 294, in connect
    self._tunnel()
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\http\client.py", line 921, in _tunnel
    message.strip()))
OSError: Tunnel connection failed: 407 Proxy Authentication Required

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\hfakhrm\AppData\Roaming\Python\Python37\site-packages\requests\adapters.py", line 449, in send
    timeout=timeout
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\urllib3\connectionpool.py", line 668, in urlopen
    **response_kw)
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\urllib3\connectionpool.py", line 639, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\urllib3\util\retry.py", line 388, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='feedly.com', port=443): Max retries exceeded with url: /v3/streams/contents?streamId=user%2F49467d31-dc59-45d1-82b0-b74f711e1dbc%2Fcategory%2F362ae958-e2b1-4029-adde-dbf7707fd2ff&count=20&ranked=newest&unreadOnly=False&newerThan=0&client=feedly.python.client (Caused by ProxyError('Cannot connect to proxy.', OSError('Tunnel connection failed: 407 Proxy Authentication Required')))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File ".\controller.py", line 251, in <module>
    runNewsSimilarity(proxyDict)
  File ".\controller.py", line 138, in runNewsSimilarity
    newsScript(proxyDict)
  File "C:\AdminVideoWall\scripts\newsSimilarity.py", line 835, in newsAPI
    data = getFeedlyData(proxyDict, feed_key[i], NumDoc, latestTimeStamp)
  File "C:\AdminVideoWall\scripts\newsSimilarity.py", line 706, in getFeedlyData
    for eid in sess.user.get_category(fk).stream_contents(opts):
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\feedly\api_client\stream.py", line 160, in __iter__
    resp = self._client.do_api_request(curl)
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\feedly\api_client\session.py", line 187, in do_api_request
    raise conn_error
  File "C:\Users\hfakhrm\AppData\Local\Continuum\anaconda3\lib\site-packages\feedly\api_client\session.py", line 175, in do_api_request
    resp = self.session.request(method, full_url, headers=headers, timeout=timeout, json=data)
  File "C:\Users\hfakhrm\AppData\Roaming\Python\Python37\site-packages\requests\sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "C:\Users\hfakhrm\AppData\Roaming\Python\Python37\site-packages\requests\sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "C:\Users\hfakhrm\AppData\Roaming\Python\Python37\site-packages\requests\adapters.py", line 510, in send
    raise ProxyError(e, request=request)
requests.exceptions.ProxyError: HTTPSConnectionPool(host='feedly.com', port=443): Max retries exceeded with url: /v3/streams/contents?streamId=user%2F49467d31-dc59-45d1-82b0-b74f711e1dbc%2Fcategory%2F362ae958-e2b1-4029-adde-dbf7707fd2ff&count=20&ranked=newest&unreadOnly=False&newerThan=0&client=feedly.python.client (Caused by ProxyError('Cannot connect to proxy.', OSError('Tunnel connection failed: 407 Proxy Authentication Required')))

Any suggestion or comment would help me to fix this issue soon. Thanks David

Regards
Hoora

David Chatenay

unread,
Apr 14, 2021, 2:02:53 PMApr 14
to hoora fakhr, Feedly Cloud
  Hi,
  The first error message should give you a hint:

Tunnel connection failed: 407 Proxy Authentication Required

  That sounds like a network proxy auth issue.

-- 
David Chatenay
Platform Engineer
Feedly

Reply all
Reply to author
Forward
0 new messages